## NMSettingBridgePort

NMSettingBridgePort — Describes connection properties for bridge ports

## Functions

GQuark | nm_setting_bridge_port_error_quark ()
NMSetting * | nm_setting_bridge_port_new ()
guint16 | nm_setting_bridge_port_get_priority ()
guint16 | nm_setting_bridge_port_get_path_cost ()
gboolean | nm_setting_bridge_port_get_hairpin_mode ()

## Properties

gboolean | hairpin-mode | Read / Write
guint | path-cost | Read / Write / Construct
guint | priority | Read / Write / Construct

## Types and Values

#define | NM_SETTING_BRIDGE_PORT_SETTING_NAME
enum | NMSettingBridgePortError
#define | NM_SETTING_BRIDGE_PORT_ERROR
#define | NM_SETTING_BRIDGE_PORT_PRIORITY
#define | NM_SETTING_BRIDGE_PORT_PATH_COST
#define | NM_SETTING_BRIDGE_PORT_HAIRPIN_MODE

## Object Hierarchy

        GEnum
        ╰── NMSettingBridgePortError
        GObject
        ╰── NMSetting
            ╰── NMSettingBridgePort

## Includes

    #include <nm-setting-bridge-port.h>

## Description

The NMSettingBridgePort object is a NMSetting subclass that describes optional properties that apply to bridge ports.

## Functions

### nm_setting_bridge_port_error_quark ()

    GQuark
    nm_setting_bridge_port_error_quark (void);

Registers an error quark for NMSettingBridgePort if necessary.

#### Returns

the error quark used for NMSettingBridgePort errors.

Since: 0.9.8

### nm_setting_bridge_port_new ()

    NMSetting *
    nm_setting_bridge_port_new (void);

Creates a new NMSettingBridgePort object with default values.

#### Returns

the new empty NMSettingBridgePort object.

[transfer full]

Since: 0.9.8

### nm_setting_bridge_port_get_priority ()

    guint16
    nm_setting_bridge_port_get_priority (NMSettingBridgePort *setting);

#### Parameters

setting | the NMSettingBridgePort |

#### Returns

the “priority” property of the setting

Since: 0.9.8

### nm_setting_bridge_port_get_path_cost ()

    guint16
    nm_setting_bridge_port_get_path_cost (NMSettingBridgePort *setting);

#### Parameters

setting | the NMSettingBridgePort |

#### Returns

the “path-cost” property of the setting

Since: 0.9.8

### nm_setting_bridge_port_get_hairpin_mode ()

    gboolean
    nm_setting_bridge_port_get_hairpin_mode
                                   (NMSettingBridgePort *setting);

#### Parameters

setting | the NMSettingBridgePort |

#### Returns

the “hairpin-mode” property of the setting

Since: 0.9.8

## Types and Values

### NM_SETTING_BRIDGE_PORT_SETTING_NAME

    #define NM_SETTING_BRIDGE_PORT_SETTING_NAME "bridge-port"

### enum NMSettingBridgePortError

#### Members

NM_SETTING_BRIDGE_PORT_ERROR_UNKNOWN | unknown or unclassified error |
NM_SETTING_BRIDGE_PORT_ERROR_INVALID_PROPERTY | the property was invalid |
NM_SETTING_BRIDGE_PORT_ERROR_MISSING_PROPERTY | the property was missing and is required |

Since: 0.9.8

### NM_SETTING_BRIDGE_PORT_ERROR

    #define NM_SETTING_BRIDGE_PORT_ERROR nm_setting_bridge_port_error_quark ()

### NM_SETTING_BRIDGE_PORT_PRIORITY

    #define NM_SETTING_BRIDGE_PORT_PRIORITY     "priority"

### NM_SETTING_BRIDGE_PORT_PATH_COST

    #define NM_SETTING_BRIDGE_PORT_PATH_COST    "path-cost"

### NM_SETTING_BRIDGE_PORT_HAIRPIN_MODE

    #define NM_SETTING_BRIDGE_PORT_HAIRPIN_MODE "hairpin-mode"

## Property Details

### The `“hairpin-mode”` property

      “hairpin-mode”             gboolean

Enables or disabled "hairpin mode" for the port, which allows frames to be sent back out through the port the frame was received on.

Flags: Read / Write

Default value: FALSE

Since: 0.9.8

### The `“path-cost”` property

      “path-cost”                guint

The Spanning Tree Protocol (STP) port cost for destinations via this port.

Flags: Read / Write / Construct

Allowed values: <= 65535

Default value: 100

Since: 0.9.8

### The `“priority”` property

      “priority”                 guint

The Spanning Tree Protocol (STP) priority of this bridge port.

Flags: Read / Write / Construct

Allowed values: <= 63

Default value: 32

Since: 0.9.8